Bug 105690 - FILESAVE: Button dissapears after saving in Calc
Summary: FILESAVE: Button dissapears after saving in Calc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, filter:xls, regression
Depends on:
Blocks:
 
Reported: 2017-02-02 09:21 UTC by Adam Niedling
Modified: 2018-07-31 02:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document. (53.00 KB, application/vnd.ms-excel)
2017-02-02 09:21 UTC, Adam Niedling
Details
Screenshot of the document in LO 5.1.4 and Word 2013 side by side (123.08 KB, image/png)
2017-02-03 08:15 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Niedling 2017-02-02 09:21:02 UTC
Created attachment 130827 [details]
Test document.

Steps to reproduce:

1. Open attached file with Libreoffice Calc.
2. Save it as is.
3. Open it in Excel.

Expected result:
Button is there.

Actual result:
There is no button. It has dissapeared.

This problem doesn't exist in Libre 4.4, only versions after that.
I don't want the script to work in Libreoffice as it was written for Excel.
I just don't want the button to dissapear.
Comment 1 Gabor Kelemen 2017-02-03 08:13:40 UTC
I can reproduce with 5.1.4 - after saving in XLS format and reopening the button is visible in LO but not in Excel 2013.
Comment 2 Gabor Kelemen 2017-02-03 08:15:38 UTC
Created attachment 130872 [details]
Screenshot of the document in LO 5.1.4 and Word 2013 side by side
Comment 3 Xisco Faulí 2017-07-21 09:48:28 UTC
Still reproducible in

- Version: 6.0.0.0.alpha0+
Build ID: bde72cdae1e7e001d5089c5284672c976b8e43df
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

but not in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 4 raal 2017-07-30 16:02:10 UTC
I'm not sure if bisect is correct - in this commit is file broken in excel, so I marked it like "bad". Likely repaired in follow-up commits, now excel doesn't warn the file is broken. Markus, can this bug be related to your work on VBA export? Thanks

d9f3cb7d5cc72718103f9fc20a6ad07af00140d8 is the first bad commit
commit d9f3cb7d5cc72718103f9fc20a6ad07af00140d8
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Sep 12 06:56:52 2015 -0700

    source sha:3d492e8f5d5062dd4f52f29e36047ea82f18bce4

	author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-08-24 22:14:02 (GMT)
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-09-10 02:14:48 (GMT)
commit	3d492e8f5d5062dd4f52f29e36047ea82f18bce4 (patch)
tree	6a7faacc1abcc70deecd0fdd4e81bca84699d3a0
parent	8e06037b3f9d13a29a6ffd2f030e4360c7e1a30a (diff)
handle different callers for vba export code
This now integrates it correctly with the XLS code, the XLSX one
requires a bit more work to copy the stream to the OOXML file.
Comment 5 QA Administrators 2018-07-31 02:34:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug